<template>
    <header class="masthead">
      <div class="container">
        <div class="row h-100 align-items-center justify-content-center text-center">
          <div class="col-lg-10 align-self-end">
            <h1 class="text-uppercase text-white font-weight-bold">TIMBANGAN</h1>
            <hr class="divider my-4">
          </div>
          <div class="col-lg-12 align-self-baseline">
              <!-- <p v-if="messages.user">
                  Nama Suplier : {{messages.user}} <br>
                  Berat : {{messages.weight}}
              </p> -->
            <table>
                <tbody>
                    <tr v-if="messages.user">
                        <td>Nama Suplier</td>
                        <td>:</td>
                        <td>{{messages.user}}</td>
                    </tr>
                    <tr v-if="messages.product">
                        <td>Produk</td>
                        <td>:</td>
                        <td>{{messages.product}}</td>
                    </tr>
                    <tr v-if="messages.bruto">
                        <td>Bruto</td>
                        <td>:</td>
                        <td>{{messages.bruto}} (Kg)</td>
                    </tr>
                    <tr v-if="messages.disc">
                        <td>Bruto (diskon)</td>
                        <td>:</td>
                        <td>{{messages.disc}} (Kg)</td>
                    </tr>
                </tbody>
            </table>
          </div>
        </div>
      </div>
    </header>
</template>

<script>
export default {
    props: ['messages']
}
</script>
<style media="screen">
    table {
        margin: 50px auto 0;
        font-size: 50px;
        color: #ffffff;
        text-align: left;
        border: 1px solid #8a8a8a;
        border-collapse: collapse;
    }
    table tr td {
        border: 1px solid #8a8a8a;
        padding: 10px;
    }
</style>
